## GogAxisLine

GogAxisLine

## Functions

double | gog_axis_base_get_cross_location ()
GogAxis * | gog_axis_base_get_crossed_axis ()
GogAxis * | gog_axis_base_get_crossed_axis_for_plot ()
GogAxisType | gog_axis_base_get_crossed_axis_type ()
unsigned | gog_axis_line_get_ticks ()

## Types and Values

| GogAxisBase
| GogAxisLine
enum | GogAxisPosition
enum | GogAxisTickTypes

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ╰── GogAxisBase
                    ├── GogAxis
                    ╰── GogAxisLine

## Implemented Interfaces

GogAxisBase implements GOStyledObject.

GogAxisLine implements GOStyledObject and GogDataset.

## Description

## Functions

### gog_axis_base_get_cross_location ()

    double
    gog_axis_base_get_cross_location (GogAxisBase *axis_base);

### gog_axis_base_get_crossed_axis ()

    GogAxis *
    gog_axis_base_get_crossed_axis (GogAxisBase *axis_base);

#### Parameters

axis_base | GogAxisBase |

#### Returns

returns the crossing axis in a 2D chart if set.

[transfer none]

### gog_axis_base_get_crossed_axis_for_plot ()

    GogAxis *
    gog_axis_base_get_crossed_axis_for_plot
                                   (GogAxisBase *axis_base,
                                    GogPlot *plot);

#### Parameters

axis_base | GogAxisBase |
plot | GogPlot |

#### Returns

returns the crossing axis in a 2D plot if set.

[transfer none]

### gog_axis_base_get_crossed_axis_type ()

    GogAxisType
    gog_axis_base_get_crossed_axis_type (GogAxisBase *axis_base);

### gog_axis_line_get_ticks ()

    unsigned
    gog_axis_line_get_ticks (GogAxisLine *axis_line,
                             GogAxisTick **ticks);

## Types and Values

### GogAxisBase

    typedef struct _GogAxisBase GogAxisBase;

### GogAxisLine

    typedef struct _GogAxisLine GogAxisLine;

### enum GogAxisPosition

#### Members

GOG_AXIS_AT_LOW | crosses the other axis at low values. |
GOG_AXIS_CROSS | crosses the other axis at a given value. |
GOG_AXIS_AT_HIGH | crosses the other axis at high values. |
GOG_AXIS_AUTO | crosses at an automatically determined position. |

### enum GogAxisTickTypes

#### Members

GOG_AXIS_TICK_NONE | no tick, should not occur. |
GOG_AXIS_TICK_MAJOR | major tick. |
GOG_AXIS_TICK_MINOR | minor tick. |